name: remever
description: "A new Flutter project."
publish_to: 'none' 

version: 1.0.0+1

environment:
  sdk: ^3.7.0

dependencies:
  flutter:
    sdk: flutter

  flutter_localizations:
    sdk: flutter

  dio: ^5.8.0+1
  injectable: ^2.5.0
  collection: ^1.19.1

  # Hive
  hive_ce: ^2.10.1
  hive_ce_flutter: ^2.2.0

  # GetIt
  get_it: ^7.7.0
  get_it_mixin: ^4.2.2

  cupertino_icons: ^1.0.8
  google_fonts: ^6.2.1
  event_bus: ^2.0.1
  auto_route: ^10.0.0
  fps_widget: ^1.0.1+2
  provider: ^6.1.2
  freezed: ^2.5.8
  readmore: ^3.0.0
  fluttertoast: ^8.2.12
  pin_code_fields: ^8.0.1
  modal_bottom_sheet: ^3.0.0
  file_picker: ^10.0.0

  # logs
  talker: ^4.6.11
  talker_flutter: ^4.6.11
  talker_logger: ^4.6.11
  talker_dio_logger: ^4.6.11
  talker_bloc_logger: ^4.6.11

  
  # annotation
  json_annotation: ^4.9.0
  freezed_annotation: ^2.4.4

  # flutter
  flutter_screenutil: ^5.9.3
  flutter_displaymode: ^0.6.0
  flutter_secure_storage: ^9.2.4
  flutter_bloc: ^9.0.0
  flutter_slidable: ^4.0.0
  flutter_keyboard_size: ^1.0.1
  flutter_launcher_icons: ^0.14.3


  # dio
  dio_smart_retry: ^7.0.1

  # plus
  package_info_plus: ^8.0.2
  share_plus: ^10.0.2

  # Drift
  drift: ^2.25.1
  drift_db_viewer: 2.1.0
  sqlite3_flutter_libs: ^0.5.31

  # slang
  slang: ^4.4.1
  slang_flutter: ^4.4.0


dev_dependencies:
  flutter_test:
    sdk: flutter

  flutter_lints: ^5.0.0
  import_sorter: ^4.6.0

  slang_build_runner: ^4.4.2
  build_runner: ^2.4.15
  build_verify: ^3.1.0
  json_serializable: ^6.9.0
  flutter_gen_runner: ^5.9.0
  injectable_generator: ^2.7.0
  hive_ce_generator: ^1.8.2
  auto_route_generator: ^10.0.1
  drift_dev:



flutter:
  generate: true
  uses-material-design: true

  assets:
    - assets/
    - assets/svg/
    - assets/images/
    - assets/icons/

flutter_gen:
  integrations:
    flutter_svg: true

import_sorter:
  emojis: false
  comments: true
  ignored_files:
    - \/lib\/inject.config.dart
    - \/lib/gen\/*


flutter_launcher_icons:
  android: "launcher_icon"
  ios: true
  image_path: "assets/images/app_icon.png"
  min_sdk_android: 16
  adaptive_icon_background: "#ffffff"
  adaptive_icon_foreground: "assets/images/app_icon.png"
  adaptive_icon_monochrome: "assets/images/app_icon_monochrome.png"
